export var FeatureDetect = (function () {
    function FeatureDetect() {
        this._r = {};
    }
    FeatureDetect.prototype.test = function (appRoot) {
        for (var name_1 in featureDetects) {
            this._r[name_1] = !!featureDetects[name_1].test();
            if (this._r[name_1]) {
                appRoot.setElementClass(name_1, true);
            }
        }
        featureDetects = null;
    };
    FeatureDetect.prototype.has = function (featureName) {
        return !!this._r[featureName];
    };
    FeatureDetect.add = function (name, test) {
        if (this.window) {
            featureDetects[name] = new test();
        }
    };
    return FeatureDetect;
}());
var featureDetects = {};
export var FeatureDetectTest = (function () {
    function FeatureDetectTest() {
    }
    return FeatureDetectTest;
}());
export var BackdropFilterTest = (function () {
    function BackdropFilterTest() {
    }
    BackdropFilterTest.prototype.test = function () {
        var styles = document.documentElement.style;
        return !!(styles['backdrop-filter'] !== undefined || styles['-webkit-backdrop-filter'] !== undefined);
    };
    return BackdropFilterTest;
}());
FeatureDetect.add('backdrop-filter', BackdropFilterTest);
